                                                                                                                                                                                                                        
<html>
<head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
</head>
<script language="javascript">

function pon_prefijo(dsccli,cedcli,cliexe,cdgcli,limcre,salact,vencido,combotipoventa, numdocexo, fecemiexo, cdgtipexo, nominstexo, porimpexo, cdgact , clitributa) {


	parent.document.formulario.combotipoventa.value=combotipoventa;
	parent.document.formulario.cdgclifac.value=cdgcli;
	parent.document.formulario.cliexento.value=cliexe;
	parent.document.formulario.cdgactcom.value=cdgact;            /* se agrega en la version 4.4 */
	parent.document.formulario.clitributa.value=clitributa;        /* se agrega en la version 4.4 */
	parent.document.formulario.dscactcom.value="";


	
	/*
	se agrega nuevas validaciones exoneracion 
	*/
	parent.document.formulario.numdocexo.value=numdocexo;
	parent.document.formulario.nominstexo.value=nominstexo;
	parent.document.formulario.cdgtipexo.value=cdgtipexo;
	parent.document.formulario_lineas.cliexe2.value=cliexe;
	parent.document.formulario.porimpexo.value=porimpexo;
	parent.document.formulario_lineas.cdgtipexo2.value=cdgtipexo;    /*     se agrega en la version 4.4     */
	parent.document.formulario_lineas.porimpexo2.value=porimpexo;
	parent.document.formulario_lineas.cdgclifac2.value=cdgcli;

	
	parent.valorexento();
	parent.habilitarexento();
		/*
	se agrega nuevas validaciones exoneracion 
	*/

		
	parent.document.formulario.cdgcli.value=cdgcli;
	parent.document.formulario.dsccli.value=dsccli;
	parent.document.formulario.cedcli.value=cedcli;
	parent.document.formulario.limcre.value=limcre;
	parent.document.formulario.salact.value=salact;
	parent.document.formulario.salact2.value=salact;
	parent.document.formulario.vencido.value=vencido;
	parent.document.formulario_lineas.cdgclifac2.value=cdgcli;
	parent.document.formulario_lineas.cdgbar.value="";	
	parent.document.formulario_lineas.dscart.value="";	
	parent.document.formulario_lineas.preivi.value="";		
	parent.document.formulario_lineas.importe.value="";
	parent.document.formulario_lineas.descuento.value="";
	

	parent.vencido2(vencido);
	parent.chequear();
}

function limpiar() {
	parent.document.formulario_lineas.cdgclifac2.value="";
	parent.document.formulario.cdgclifac.value="";
	parent.document.formulario.dsccli.value="";
	parent.document.formulario.cedcli.value="";
	parent.document.formulario.cdgcli.value="";
	parent.document.formulario.cdgactcom.value="";   		/* se agrega en la version 4.4 */
	parent.document.formulario.dscactcom.value="";  		 /* se agrega en la version 4.4 */
	parent.document.formulario.clitributa.value="";        /* se agrega en la version 4.4 */
	parent.document.formulario.cdgcli.focus();

	parent.document.formulario.limcre.value="";
	parent.document.formulario.salact.value="";
	parent.document.formulario.salact2.value="";
	parent.document.formulario.vencido.value="";
	parent.document.formulario_lineas.cdgart.value="";
	parent.document.formulario_lineas.dscart.value="";
	parent.document.formulario_lineas.preivi.value="";
	parent.document.formulario_lineas.cantidad.value="";
	parent.document.formulario_lineas.importe.value="";
	parent.document.formulario_lineas.descuento.value="";

		parent.opener.vencido2(vencido);

	
}


</script>
<?php include ("../conexion.php"); 
 ?>
<body>
 <?php

	date_default_timezone_set('America/Costa_Rica');
	$cdgcli=$_GET["cdgcli"];
	$diaven=0;
	$salact=0; 
	$fecha_actual= date("Y-m-d");
	
	$consulta = "SELECT  Sum(salact) AS totalfac FROM web_2101 WHERE cdgcli = $cdgcli";
    $resultado = $mysqli->query($consulta);
    $row = $resultado->fetch_array();
    $salact = $row["totalfac"];
	

			
		if ($sel_verificacion = $mysqli->query("SELECT  * FROM web_2101 WHERE cdgcli = $cdgcli AND salact > 0 LIMIT 0,1" )) 
		 $lineas = $sel_verificacion->num_rows;

					$consulta2 = "SELECT  * FROM web_2101 WHERE cdgcli = $cdgcli AND salact > 0 LIMIT 0,1";
					$resultado2 = $mysqli->query($consulta2);
					$linea = $resultado2->fetch_array();

					if ($lineas > 0) {
				
					$fecven= $linea["FECVEN"];
					$fecact= date("Y-m-d");
					$diaven=strtotime ( $fecact ) - strtotime ( $fecven );
				     $diaven=intval($diaven/60/60/24);
					if ($fecven==""){ $diaven=0; }
				
					}
	
	
	
$consulta3 = "SELECT * FROM web_0301 WHERE cdgcli=$cdgcli or cedcli=$cdgcli";
$resultado3 = $mysqli->query($consulta3);
echo $filas= $resultado3->num_rows;
$fila = $resultado3->fetch_array();
echo $estcli = $fila["ESTCLI"];

        $cdgcli = $fila["CDGCLI"];
        $dsccli = $fila["DSCCLI"];
        $percon = $fila["PERCON"];
        $cedcli = $fila["CEDCLI"];
		$cliexe = $fila["CLIEXE"];
		$limcre = $fila["LIMCRE"];
		$salact = $fila["SALACT"];
		$chkver = $fila["CHKVER"];
		$cdgpla = $fila["CDGPLA"];
		$cdgact = $fila["cdgact"];       // se agrega en la version 4.4
		$clitributa = $fila["clitributa"];       // se agrega en la version 4.4
		
		///////////////////////////////////////////////   CONSULTA EXONERACION Y VENCIMIENTO ////////////////////////////////////////////
		
		$porimpexo = $fila["porimpexo"];
		$numdocexo = $fila["numdocexo"];
		$fecemiexo = $fila["fecemiexo"];
		
		$tarexoagro= $fila["tarexoagro"]; ////   version exoneracion agropecuaria
		$fecvenmag  = $fila["fecvenmag"];
		
		if ($numdocexo <> "" ) {

		$nominstexo = "01";      // cambia en la version 4.4
		$cdgtipexo="04";		
		
$consulta5 = "SELECT min(fecvenexo)  as fecvenexo FROM exoneraciones WHERE cedcli=$cedcli";          ///  se agrega selecte en la version 4.4 consultanto la fecha mas vieja de caby exoneracion ////////////
$resultado5 = $mysqli->query($consulta5);
$fila5 = $resultado5->fetch_array();
 echo $fecvenexo = $fila5["fecvenexo"];
 
		$hoy= date("Y-m-d");
		$diaexo=strtotime ( $hoy ) - strtotime ( $fecvenexo );
		
		if ( $diaexo > 0 ){
		
		$nominstexo = "";			
		$cdgtipexo = "";
		$fecemiexo = "";
		$numdocexo = "";
		$cliexe    = "1";
				?>
				<script>
				
				alert ("Cliente NO puede realizar compras EXENTAS la exoneracion se Encuentra Vencida");
	
				</script>
       			 <?php 
		
		} 
		
		}else {
		
		$nominstexo = "";			
		$cdgtipexo  = "";
		
		}
		
		
if ($tarexoagro > 0) {

			if ($fecvenmag <> "") {
			
			if   ($fecha_actual > $fecvenmag)  {
					?>
					<script>
					
					alert ("Cliente NO puede realizar compras EXENTAS Registro del MAG  se Encuentra Vencido");
					
					</script>
					<?php 
					
					}

			}else{
			
						?>
						<script>
						
						alert ("Cliente NO puede realizar compras EXENTAS Registro del MAG debe ser actualizado");
						
						</script>
						<?php 
			
			}
			
			
  

		
		}
		/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
		
		
if ($cdgpla == 0) {$combotipoventa=1; } else {echo $combotipoventa=2;}
		

if ($filas >0) {
		

		if ($estcli=="ACTIVO") {
		
      		if (($chkver == 1) && ($diaven > 8)){
				$vencido=1;
				$combotipoventa=1;
				?>
				<script>
			
                pon_prefijo('<?php echo $dsccli?>','<?php echo $cedcli?>','<?php echo $cliexe ?>' ,<?php echo $cdgcli?>, '<?php echo $limcre ?>','<?php echo $salact ?>','<?php echo $vencido ?>','<?php echo $combotipoventa ?>'  ,'<?php echo $numdocexo ?>' ,'<?php echo $fecemiexo ?>','<?php echo $cdgtipexo ?>' ,'<?php echo $nominstexo ?>','<?php echo $porimpexo ?>' ,'<?php echo $cdgact ?>' ,'<?php echo $clitributa ?>');				</script>
       			 <?php 
			} else {
				$vencido=0;
				
				?>
    			<script languaje="javascript">
     pon_prefijo('<?php echo $dsccli?>','<?php echo $cedcli?>','<?php echo $cliexe ?>' ,<?php echo $cdgcli?>, '<?php echo $limcre ?>','<?php echo $salact ?>','<?php echo $vencido ?>','<?php echo $combotipoventa ?>' ,'<?php echo $numdocexo ?>' ,'<?php echo $fecemiexo ?>','<?php echo $cdgtipexo ?>' ,'<?php echo $nominstexo ?>','<?php echo $porimpexo ?>' ,'<?php echo $cdgact ?>' ,'<?php echo $clitributa ?>' );	         </script>
				 <?php
		   }
		   
		   
		} else {
			 ?>
			<script>
			alert ("Cliente Inactivo favor consulte con el Administrador");
			limpiar();
			</script>
			 <?php
	     }
	
	} else {
		?>
		<script>
		alert ("No existe ningun cliente con ese codigo");
		limpiar();
		</script>
		 <?php
	}
	
	
?>
</div>
</body>
</html>
